<?php
namespace Smi\Controller;
use Think\Controller;

include('BigWheelController.class.php');
include('ScratchCardController.class.php');
include('SmashGoldenEggsController.class.php');

header("Content-type:text/html;charset=utf-8");
class GameController extends BaseController 
{
	protected $root;
	protected $business_id;

	public function __construct()
	{
		parent::__construct();

		$this->root = dirname(dirname(dirname(__DIR__)));
		$this->business_id = session('admin_id');
	}


	// 多继承
	use BigWheelController, ScratchCardController, SmashGoldenEggsController {

	}
}